MCP
Update MCP server configuration
deprecated
Updates the configuration of an existing Model Control Protocol (MCP) server. You can modify the server name, associated applications, and enabled tools. Only the fields included in the request will be updated.
PATCH
/
api
/
v3.1
/
mcp
/
{id}
import requests
url = "https://backend.composio.dev/api/v3.1/mcp/{id}"
payload = { "name": "Updated GitHub Integration Server" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "GitHub Integration Server",
"auth_config_ids": [
"ac_1a2b3c4d5e6f",
"ac_7g8h9i0j1k2l"
],
"allowed_tools": [
"GITHUB_CREATE_AN_ISSUE",
"GITHUB_GET_A_REPOSITORY",
"GITHUB_LIST_PULL_REQUESTS"
],
"mcp_url": "https://backend.composio.dev/v3/mcp/550e8400-e29b-41d4-a716-446655440000?user_id=john",
"toolkits": [
"github",
"jira",
"slack"
],
"toolkit_icons": {
"github": "https://assets.composio.dev/logos/github.png",
"jira": "https://assets.composio.dev/logos/jira.png",
"slack": "https://assets.composio.dev/logos/slack.png"
},
"commands": {
"cursor": "npx @composio/mcp@latest setup \"https://backend.composio.dev/v3/mcp/550e8400-e29b-41d4-a716-446655440000?user_id=john\" --client cursor",
"claude": "npx @composio/mcp@latest setup \"https://backend.composio.dev/v3/mcp/550e8400-e29b-41d4-a716-446655440000?user_id=john\" --client claude",
"windsurf": "npx @composio/mcp@latest setup \"https://backend.composio.dev/v3/mcp/550e8400-e29b-41d4-a716-446655440000?user_id=john\" --client windsurf"
},
"updated_at": "2023-06-15T14:30:00.000Z",
"created_at": "2023-06-10T09:15:00.000Z",
"server_instance_count": 5,
"managed_auth_via_composio": true,
"deleted": true
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}Authorizations
Path Parameters
Body
application/json
Parameters for updating an existing MCP server configuration
Response
Successfully updated MCP server. Returns the complete updated server configuration including connection details, authentication settings, and available tools.
MCP server configuration and connection details
import requests
url = "https://backend.composio.dev/api/v3.1/mcp/{id}"
payload = { "name": "Updated GitHub Integration Server" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "GitHub Integration Server",
"auth_config_ids": [
"ac_1a2b3c4d5e6f",
"ac_7g8h9i0j1k2l"
],
"allowed_tools": [
"GITHUB_CREATE_AN_ISSUE",
"GITHUB_GET_A_REPOSITORY",
"GITHUB_LIST_PULL_REQUESTS"
],
"mcp_url": "https://backend.composio.dev/v3/mcp/550e8400-e29b-41d4-a716-446655440000?user_id=john",
"toolkits": [
"github",
"jira",
"slack"
],
"toolkit_icons": {
"github": "https://assets.composio.dev/logos/github.png",
"jira": "https://assets.composio.dev/logos/jira.png",
"slack": "https://assets.composio.dev/logos/slack.png"
},
"commands": {
"cursor": "npx @composio/mcp@latest setup \"https://backend.composio.dev/v3/mcp/550e8400-e29b-41d4-a716-446655440000?user_id=john\" --client cursor",
"claude": "npx @composio/mcp@latest setup \"https://backend.composio.dev/v3/mcp/550e8400-e29b-41d4-a716-446655440000?user_id=john\" --client claude",
"windsurf": "npx @composio/mcp@latest setup \"https://backend.composio.dev/v3/mcp/550e8400-e29b-41d4-a716-446655440000?user_id=john\" --client windsurf"
},
"updated_at": "2023-06-15T14:30:00.000Z",
"created_at": "2023-06-10T09:15:00.000Z",
"server_instance_count": 5,
"managed_auth_via_composio": true,
"deleted": true
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}{
"error": {
"message": "<string>",
"code": 123,
"slug": "<string>",
"status": 123,
"request_id": "<string>",
"suggested_fix": "<string>",
"errors": [
"<string>"
]
}
}